Bug 565666

Summary: Review Request: darktable - Utility to organize and develop raw images
Product: [Fedora] Fedora Reporter: ibrahim eser <ibrahimeser>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, kryzhev, madko, mail, notting, philippe.moret, supercyper1, thibault.north
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 589868 (view as bug list) Environment:
Last Closed: 2010-05-06 14:52:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 589868    

Description ibrahim eser 2010-02-15 16:18:11 EST
Spec URL:  http://depositfiles.com/files/ync2qt022
SRPM URL:  http://depositfiles.com/files/552534ys3 

Description:  
darktable is a virtual lighttable and darkroom for photographers: it manages your digital negatives in a database and lets you view them through a zoomable lighttable. It also enables you to develop raw images and enhance them. 

Finally: This is my first package and I need a sponsor.
Comment 1 Fabian Affolter 2010-03-02 11:29:31 EST
Some quick comments on your spec file.

- No -devel packages as BuildRequires?
- Please use macros instead of hardcoded paths
  https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Macros
- .desktop file is not handled correct
  https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
- Translation should be handled according the Guidelines
  https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
- Some files are missing in %doc

There is no license file and no license statement in the header of the source file, only the website mentioned that the license is GPLv3+.  Please ask upstream to include a copy of the license and add a header with a license statement to the header of the source files.
Comment 2 ibrahim eser 2010-03-03 06:26:22 EST
Thanks Fabian for your quick review and comments.

I' ll consider the points you' ve written. And I' ll upload the new spec and the srpm as soon as possible.
Comment 3 ibrahim eser 2010-03-03 08:32:32 EST
I' ve informed upstream for the licence issue. Let' s see what it brings:-)
Comment 4 Dmitrij S. Kryzhevich 2010-03-29 05:14:45 EDT
Some spec and upstream version update.

Spec: http://depositfiles.com/files/8jg0hoe26
SRPM: http://depositfiles.com/files/bpixouhep
RPM(64b): http://depositfiles.com/files/btlakwdho
Buildlog: http://depositfiles.com/files/8mphizwpp

#rpmlint darktable-0.5-1.fc12.src.rpm darktable-0.5-1.fc12.x86_64.rpm darktable.spec
darktable.src: W: spelling-error %description -l en_US lighttable -> light table, light-table, lightface
darktable.src: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: W: spelling-error %description -l en_US zoomable -> zoom able, zoom-able, fathomable
darktable.x86_64: E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so
darktable.x86_64: W: shared-lib-calls-exit /usr/lib64/libdarktable.so exit@GLIBC_2.2.5
darktable.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/darktable ['/usr/lib64']
darktable.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/darktable.schemas
2 packages and 1 specfiles checked; 2 errors, 5 warnings.

Soname is upstream problem, need or not to be resolved. Harddefined path coulbe patched, I think, if it is necessary. It shows into %{_libdir} anyway.

Something else?
Comment 5 Dmitrij S. Kryzhevich 2010-04-08 22:46:22 EDT
(In reply to comment #3)
> I' ve informed upstream for the licence issue. Let' s see what it brings:-)    

Do you still want to continue work on darktable?
Comment 6 ibrahim eser 2010-04-10 04:28:42 EDT
(In reply to comment #5)
> Do you still want to continue work on darktable?

Actually I' m confused about that. The new version of darktable uses a library that is not yet in fedora repos. So it needs a lot more work.
Comment 7 Dmitrij S. Kryzhevich 2010-04-10 05:11:08 EDT
Now that is me who confused. What lib is? darktable 0.5 was built on Fedora 12. Without gegl for now, but gegl is not actualy suppotted in current darktable. And then, gegl is in the Fedora repo.
Comment 8 ibrahim eser 2010-04-10 13:22:55 EDT
(In reply to comment #7)
> Now that is me who confused. What lib is? darktable 0.5 was built on Fedora 12.
> Without gegl for now, but gegl is not actualy suppotted in current darktable.
> And then, gegl is in the Fedora repo.    

Sorry I can't say the correct name of that lib, cause I replaced fedora on my laptop with another distro at the moment. But it was a gui lib for a turnable radio like buttons. And actually the problem I mentioned was with the git version before the 0.5 version release. Now I' m installing f12 again but on virtualbox. Wish I will speak more precise.
Comment 9 Dmitrij S. Kryzhevich 2010-04-12 02:41:18 EDT
(In reply to comment #8)
> it was a gui lib for a turnable radio like buttons

Sorry? Is it _realy_ required lib?

As I said, it built fine and works fine on F12.
Comment 10 ibrahim eser 2010-04-12 15:32:14 EDT
> Do you still want to continue work on darktable?  

I'll will be short of time due to my thesis. Please feel free to contribute further on darktable.
Comment 11 Dmitrij S. Kryzhevich 2010-04-13 01:12:17 EDT
(In reply to comment #10)
> Please feel free to contribute further on darktable.

I can't, it is your bug entry. You could either continue your work on darktable with spec modification suggested by Fabian Affolter or close this bug if you think you will not continue (or it will take too much time you can't devote to or etc) so somebody could open new one. And I'm not a PM, everything written by me above is just an encouragement :)

Both variants will result in (I hope) including of the darktable into the Fedora repo.
Comment 12 ibrahim eser 2010-04-13 16:38:32 EDT
(In reply to comment #11)

> And I'm not a PM, everything written by me above is just an encouragement :)

Sorry that I misunderstood you. I' ve just thought that you want to over take darktable. Thanks for encouragement:)
Comment 13 Dmitrij S. Kryzhevich 2010-04-14 00:26:01 EDT
>I' ve just thought that you want to over take
darktable.

Only if you deside to drop it.
Comment 14 Edouard Bourguignon 2010-04-23 09:42:10 EDT
I want to test darktable so I made some fix to your spec Ibrahim. You can find my specs and rpms here:
http://www.linuxed.net/~madko/fedora/darktable.spec
http://www.linuxed.net/~madko/fedora/darktable-0.5-2.fc12.src.rpm
Feel free to use them.

But some Errors and warnings remain:

darktable.x86_64: E: invalid-soname /usr/lib64/libdarktable.so libdarktable.so
darktable.x86_64: W: shared-lib-calls-exit /usr/lib64/libdarktable.so exit@GLIBC_2.2.5
darktable.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/darktable ['/usr/lib64']
darktable.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/darktable.schemas
1 packages and 0 specfiles checked; 2 errors, 2 warnings.

But not sure how to fix them. Any idea?
Comment 15 Mamoru TASAKA 2010-05-02 13:07:59 EDT
To everyone:

Would you clarify who is actually going to import (maintain) this
package into (on) Fedora?
Comment 16 Dmitrij S. Kryzhevich 2010-05-03 23:11:39 EDT
(In reply to comment #15)
> To everyone:
> 
> Would you clarify who is actually going to import (maintain) this
> package into (on) Fedora?    

ibrahim eser is. The one who open bug "review request" is future maintanier.
Comment 17 ibrahim eser 2010-05-06 14:52:09 EDT
It seems that this process will take along time and due my daily business I can't spend much time on darktable. Anybody who interrested in, could take over darktable. Good Luck:-)
Comment 18 Chen Lei 2010-05-11 08:51:21 EDT

*** This bug has been marked as a duplicate of bug 589866 ***